import 'package:dart_framework/core/application.dart';
import 'package:dart_framework/utils/system_util.dart';
import 'package:oto/cli/cli.dart';
import 'package:oto/cli/commands/command_scheduler.dart';
import 'package:oto/cli/commands/command_template.dart';
// import 'package:oto/cli/commands/command_install.dart';
import 'package:oto/cli/commands/command_exe.dart';
// import 'package:oto/cli/commands/command_start.dart';
import 'package:oto/cli/commands/command_catalog.dart';
import 'package:oto/cli/commands/command_validate.dart';
import 'package:oto/cli/commands/command_agent.dart';

void main(List<String> arguments) async {
  Application('oto', 'com.toki-labs.oto', () {
    CLI.initialize(appName, arguments, [
      CommandTemplate(),
      CommandExe(),
      CommandScheduler(),
      CommandCatalogCli(),
      CommandValidateCli(),
      CommandAgent(),
    ]);
  }, (error, stack) {
    print(error);
    print(stack);
  });
}
